aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-django-haystack/APKBUILD
diff options
context:
space:
mode:
authorKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2015-09-25 22:32:21 +0300
committerKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2015-09-25 22:32:21 +0300
commitc82a247edac48adfda9f721a5d6f8c3525ba8fd8 (patch)
tree74f4bf666f81d32d0a7c846e6ff89af0d2282251 /main/py-django-haystack/APKBUILD
parentd463d1589d67f322eabd49166a2bdb78de0d0a34 (diff)
downloadaports-c82a247edac48adfda9f721a5d6f8c3525ba8fd8.tar.gz
aports-c82a247edac48adfda9f721a5d6f8c3525ba8fd8.tar.bz2
aports-c82a247edac48adfda9f721a5d6f8c3525ba8fd8.tar.xz
main/py-django-oscar: moved from testing (with dependencies)
Diffstat (limited to 'main/py-django-haystack/APKBUILD')
-rw-r--r--main/py-django-haystack/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/main/py-django-haystack/APKBUILD b/main/py-django-haystack/APKBUILD
new file mode 100644
index 0000000000..66d8111fb8
--- /dev/null
+++ b/main/py-django-haystack/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
+# Maintainer: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
+pkgname=py-django-haystack
+pkgver=2.3.1
+pkgrel=0
+pkgdesc="Modular search for Django"
+url=http://haystacksearch.org/
+arch=noarch
+license=BSD
+depends=py-django
+makedepends=py-setuptools
+source=https://pypi.python.org/packages/source/d/django-haystack/django-haystack-$pkgver.tar.gz
+
+_builddir=$srcdir/django-haystack-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --root "$pkgdir"
+}
+
+md5sums="4c5dc665c1e82701a95168442e2510cd django-haystack-2.3.1.tar.gz"
+sha256sums="a30df888ee0da32c4837c328ecf859e992edb6d185efa7d49341cc1949dbb24d django-haystack-2.3.1.tar.gz"
+sha512sums="c051523a63f32e066e3d8c83ef5cc9eec77a969801f57a0826073317c4d80bb24a67b4487638d38028ae288d9698d32483b2755f171a1b3cbb66f13b2b28a623 django-haystack-2.3.1.tar.gz"